#!/usr/bin/env python


"""
RCSid:
	$Id: Signer.py,v 1.7 2014/08/16 00:25:49 sjg Exp $

	@(#) Copyright (c) 2012 Simon J. Gerraty

	This file is provided in the hope that it will
	be of use.  There is absolutely NO WARRANTY.
	Permission to copy, redistribute or otherwise
	use this file is hereby granted provided that 
	the above copyright notice and this notice are
	left intact. 
      
	Please send copies of changes and bug-fixes to:
	sjg@crufty.net

"""

from conf import *
from pem import *

class Signer:
    """base signer"""
    def __init__(self, kfile, conf={}):
        self.conf = conf
        self.kfile = kfile
        self.key = None
        self.signer = None
        
    def begin(self):
        """here is where you do any initial negotiation with client"""
        return

    def end(self):
        """closing the loop"""
        return

    def sign(self, msg):
        raise TypeError('Not implemented')

    def verify(self, msg, sig):
        raise TypeError('Not implemented')

